<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__tcpwm__quaddec__config__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_tcpwm_quaddec_config_t</compoundname>
    <includes local="no">cy_tcpwm_quaddec.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1abb9b2f8cf13a51d4a81f5b8fd591f6e8" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::resolution</definition>
        <argsstring />
        <name>resolution</name>
        <briefdescription>
<para>Selects the quadrature encoding mode. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__quaddec__resolution">QuadDec Resolution</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="60" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="60" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1a40d7a2830339c593182dea25668a4cd4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::interruptSources</definition>
        <argsstring />
        <name>interruptSources</name>
        <briefdescription>
<para>Enables an interrupt on the terminal count, capture or compare. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__interrupt__sources">Interrupt Sources</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="62" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="62" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1a139114c65e2c3dd6ba549319ba21c3d2" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::indexInputMode</definition>
        <argsstring />
        <name>indexInputMode</name>
        <briefdescription>
<para>Configures how the index input behaves. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__modes">Input Modes</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="64" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="64" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1aed2032743d6da4c15fe418b2ee17d399" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::indexInput</definition>
        <argsstring />
        <name>indexInput</name>
        <briefdescription>
<para>Selects which input the index uses. </para>        </briefdescription>
        <detaileddescription>
<para>The inputs are device-specific. See <ref kindref="compound" refid="group__group__tcpwm__input__selection">TCPWM Input Selection</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="66" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="66" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1a6d8a95cce86565d2f8aa6453d038bb8d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::stopInputMode</definition>
        <argsstring />
        <name>stopInputMode</name>
        <briefdescription>
<para>Configures how the stop input behaves. </para>        </briefdescription>
        <detaileddescription>
<para>See <ref kindref="compound" refid="group__group__tcpwm__input__modes">Input Modes</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="68" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="68" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1a9181815a912b6c5ed2949711024410d5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::stopInput</definition>
        <argsstring />
        <name>stopInput</name>
        <briefdescription>
<para>Selects which input the stop uses. </para>        </briefdescription>
        <detaileddescription>
<para>The inputs are device-specific. See <ref kindref="compound" refid="group__group__tcpwm__input__selection">TCPWM Input Selection</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="70" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="70" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1a9bccb40249e89734807ee65b11c642fe" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::phiAInput</definition>
        <argsstring />
        <name>phiAInput</name>
        <briefdescription>
<para>Selects which input the phiA uses. </para>        </briefdescription>
        <detaileddescription>
<para>The inputs are device specific. See <ref kindref="compound" refid="group__group__tcpwm__input__selection">TCPWM Input Selection</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="72" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="72" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1a4f96c057c83a5371220063f1d0fd433b" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::phiBInput</definition>
        <argsstring />
        <name>phiBInput</name>
        <briefdescription>
<para>Selects which input the phiB uses. </para>        </briefdescription>
        <detaileddescription>
<para>The inputs are device specific. See <ref kindref="compound" refid="group__group__tcpwm__input__selection">TCPWM Input Selection</ref> </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="74" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="74" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1a351ad048794a60ca43e0f72e789a6114" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::quadMode</definition>
        <argsstring />
        <name>quadMode</name>
        <briefdescription>
<para>Sets the QuadDec mode. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="76" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="76" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1aa9b45b79868b5025cac5d81dbdd7f30f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::period0</definition>
        <argsstring />
        <name>period0</name>
        <briefdescription>
<para>Sets the period0 of the pwm. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="78" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="78" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1a640d593c94f0360f4b442e3834ea1019" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_tcpwm_quaddec_config_t::captureOnIndex</definition>
        <argsstring />
        <name>captureOnIndex</name>
        <briefdescription>
<para>Specifies index or wrap-around capture function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="80" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="80" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1a0b3a5a3ea3e4171e2c5756fe45750910" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::compare0</definition>
        <argsstring />
        <name>compare0</name>
        <briefdescription>
<para>Sets the value for Compare0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="82" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="82" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1a68fa4d650cd8ab9133b3864d361a639f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::compareBuf0</definition>
        <argsstring />
        <name>compareBuf0</name>
        <briefdescription>
<para>Sets the value for the buffered Compare0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="84" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="84" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1af6b61726b1cd1befbc07e6c4f4d14642" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_tcpwm_quaddec_config_t::enableCompare0Swap</definition>
        <argsstring />
        <name>enableCompare0Swap</name>
        <briefdescription>
<para>If enabled, the compare0 values are swapped on the terminal count. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="86" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="86" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1abef35939ade19885cbab93b893283e0f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::compare1</definition>
        <argsstring />
        <name>compare1</name>
        <briefdescription>
<para>Sets the value for Compare1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="88" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="88" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1a2db5ba18a39ee8f2ad4a4cf77b8dfe5a" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::compareBuf1</definition>
        <argsstring />
        <name>compareBuf1</name>
        <briefdescription>
<para>Sets the value for the buffered Compare1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="90" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="90" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1a1bef443a90c8c4cc9deaa00ac6ca039c" kind="variable" mutable="no" prot="public" static="no">
        <type>bool</type>
        <definition>bool cy_stc_tcpwm_quaddec_config_t::enableCompare1Swap</definition>
        <argsstring />
        <name>enableCompare1Swap</name>
        <briefdescription>
<para>If enabled, the compare1 values are swapped on the terminal count. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="92" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="92" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1aaeb39daa9333b11984d1adf3273896ce" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::capture0OrIndex1InputMode</definition>
        <argsstring />
        <name>capture0OrIndex1InputMode</name>
        <briefdescription>
<para>Configures how the capture0/index1 input behaves. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="94" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="94" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1a741a6d36511cf58d0d9d24faee79b30e" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::capture0OrIndex1Input</definition>
        <argsstring />
        <name>capture0OrIndex1Input</name>
        <briefdescription>
<para>Selects which input the capture0/index1 uses. </para>        </briefdescription>
        <detaileddescription>
<para>The inputs are device-specific. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="96" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="96" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1affb4214d7741bcaf2bace28ea35e8976" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::capture1InputMode</definition>
        <argsstring />
        <name>capture1InputMode</name>
        <briefdescription>
<para>Configures how the capture1 input behaves. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="98" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="98" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1a0c2ce68b7b0d743ca97c3795195e869d" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::capture1Input</definition>
        <argsstring />
        <name>capture1Input</name>
        <briefdescription>
<para>Selects which input the capture1 uses. </para>        </briefdescription>
        <detaileddescription>
<para>The inputs are device-specific. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="100" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="100" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1a42dea147d49b7f6c1e54b36e4988ae7f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::trigger0Event</definition>
        <argsstring />
        <name>trigger0Event</name>
        <briefdescription>
<para>Configures which internal event generates on output trigger 0. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="102" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="102" />
      </memberdef>
      <memberdef id="structcy__stc__tcpwm__quaddec__config__t_1ae36cad852f8ae2f38b254a9fad0dfd56" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t cy_stc_tcpwm_quaddec_config_t::trigger1Event</definition>
        <argsstring />
        <name>trigger1Event</name>
        <briefdescription>
<para>Configures which internal event generates on output trigger 1. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="104" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="104" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Quadrature Decoder configuration structure. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="105" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" bodystart="57" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_tcpwm_quaddec.h" line="58" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1a741a6d36511cf58d0d9d24faee79b30e" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>capture0OrIndex1Input</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1aaeb39daa9333b11984d1adf3273896ce" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>capture0OrIndex1InputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1a0c2ce68b7b0d743ca97c3795195e869d" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>capture1Input</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1affb4214d7741bcaf2bace28ea35e8976" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>capture1InputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1a640d593c94f0360f4b442e3834ea1019" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>captureOnIndex</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1a0b3a5a3ea3e4171e2c5756fe45750910" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>compare0</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1abef35939ade19885cbab93b893283e0f" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>compare1</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1a68fa4d650cd8ab9133b3864d361a639f" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>compareBuf0</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1a2db5ba18a39ee8f2ad4a4cf77b8dfe5a" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>compareBuf1</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1af6b61726b1cd1befbc07e6c4f4d14642" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>enableCompare0Swap</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1a1bef443a90c8c4cc9deaa00ac6ca039c" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>enableCompare1Swap</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1aed2032743d6da4c15fe418b2ee17d399" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>indexInput</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1a139114c65e2c3dd6ba549319ba21c3d2" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>indexInputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1a40d7a2830339c593182dea25668a4cd4" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>interruptSources</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1aa9b45b79868b5025cac5d81dbdd7f30f" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>period0</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1a9bccb40249e89734807ee65b11c642fe" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>phiAInput</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1a4f96c057c83a5371220063f1d0fd433b" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>phiBInput</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1a351ad048794a60ca43e0f72e789a6114" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>quadMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1abb9b2f8cf13a51d4a81f5b8fd591f6e8" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>resolution</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1a9181815a912b6c5ed2949711024410d5" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>stopInput</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1a6d8a95cce86565d2f8aa6453d038bb8d" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>stopInputMode</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1a42dea147d49b7f6c1e54b36e4988ae7f" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>trigger0Event</name></member>
      <member prot="public" refid="structcy__stc__tcpwm__quaddec__config__t_1ae36cad852f8ae2f38b254a9fad0dfd56" virt="non-virtual"><scope>cy_stc_tcpwm_quaddec_config_t</scope><name>trigger1Event</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>